{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement-rust {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Rust
    rustup              # outil de configuration de toolchain rust
    crate2nix           # génère les fichiers de build Nix dans un projet Rust
  ];
}
